#ifndef OS_DEV_STD_CANONICAL_INST_H	
#define OS_DEV_STD_CANONICAL_INST_H

#include "hw/hal/Canonical.h"

namespace os { namespace dev { namespace std

class Canonical : public hw::hal::Canonical {

	static Canonical theCanonical_;	// the one-and-only instance of os::dev:std::Canonical
																	// (as well as the *new* one-and-only instance of hw::hal::Canonical)

	void init();										// [OPTIONAL] startup time initialization function. 
																	// only called by a corresponding _Init aspect 


  protected:		
	Canonical() {}
  public:
	static Canonical& Inst() {
		return theCanonical_;	
	}

	// new selectors, modifiers, operations
	int operation_B();
};
	
}}	// namespace os::dev::std
#endif // OS_DEV_STD_CANONICAL_INST_H 
