
my $APPNAME = $ENV{'PWD'};
$APPNAME =~ s/^.*\///;

$VAR=	{
	'vname' => 'AttitudeController Standalone',
	'name' => 'app_copter_attitudecontrol',
	'dir'  => "app/$APPNAME",
	'comp' => [
	{
		'vname' => 'Common Files',
		'files' => [
			'copter_attitudecontrol.config',
			'run.cmm',
		],
	},
	{
		'vname' => 'C implementation Common Files',
		'depends' => 'not (&cfcopter_java)',
		'files' => [
			'testdata.h',
			'appcode.h',
			'appcode.cpp',
		],
	},
	{
		'srcfile' => 'Makefile.app',
		'file' => 'Makefile',
	},
	{
		vname => "config.xml",
		comp => [
		{
			'file'=>'config.xml',
			'depends' => 'not (&cfcopter_java)',
			'generate'=>'generate_config_xml();'
		},
		{
			'create_symlink' => [ "Keso_$APPNAME/config.xml", 'config.xml' ],
			'depends' => '&cfcopter_java',
		},
		],
	},
	{
		'depends' => '&cfcopter_c',
		'file' => 'ac',
	},
	{
		'depends' => '&cfcopter_c_r1397',
		'srcfile' => 'ac.r1397',
		'file' => 'ac',
	},
	],
};
