
my $APPNAME = $ENV{'PWD'};
$APPNAME =~ s/^.*\///;

sub empty_file {
	return '';
}

$VAR=	{
	'vname' => 'I4Copter Software',
	'name' => 'test_demos_copter',
	'dir'  => "app/$APPNAME",
	'comp' => [
		{
			'vname' => 'Common Files',
			'files' => [
				'appcode.cpp',
				'appcode.h',
				'buffer.h',
				'copter_flightcontrol_keso_offline_test.config',
				'hwInit.ah',
				'run.cmm',
			]
		},
		{
			'srcfile' => 'Makefile.app',
			'file' => 'Makefile',
		},
		{
			vname => "config.xml",
			'create_symlink' => [ "Keso_$APPNAME/config.xml", 'config.xml' ],
		},
		{
			'vname' => 'Implementation Parts',
			'subdir' => 'copter',
			'file' => 'System',
			'except_regexp' => [
				'\.c',
				'^PxRos$',
				'^Taskname\.h$',
				'^Event\.h$',
			],
			'comp' => [
			{
				'vname' => "Dummy Headers",
				'comp' => [
					{
						'file' => 'System/Taskname.h',
						'generate' => 'empty_file();',
					},
					{
						'file' => 'System/ComponentModel/System/Event.h',
						'generate' => 'empty_file();',
					},
				],
			},
			],
		},
	],
};
