#ifndef __CONTROL_H__
#define __CONTROL_H__

#include "common/common.h"
#include "config.h"
#include "program.h"
#include <stdio.h>

config_t* CTRL_Compile(program_t* program) __attribute__((noinline));

bool CTRL_UpContinuous(int n, config_t* conf);
bool CTRL_DownContinuous(int n, config_t* conf);
bool CTRL_UpStepwise(int n, config_t* conf);
bool CTRL_DownStepwise(int n, config_t* conf);
bool CTRL_OscContinuous(int n, int rounds, config_t* conf);
bool CTRL_OscStepwise(int n, int rounds, config_t* conf);
bool CTRL_Hold(int timeInMS, config_t* conf);

#endif
