#ifndef _STDIO_H_
#define _STDIO_H_

#include "stdarg.h"
#include "stddef.h"

#ifdef __cplusplus
#define __extern extern "C"
#else
#define __extern extern
#endif

// print string formatted using output function putchar(), return number
// of characters printed. Printing ends if either putchar() returns 0 or if
// all characters have been printed.
__extern int __vprintf( int (*putchar)(char), const char *fmt, va_list args );

// print string formatted to the CiAO stdio device
__extern int printf( const char *fmt, ... );


#endif // _STDARG_H_
