// $Id: Serial0.h 291 2006-08-19 05:19:56Z lohmann $
// Created:   27.06.2006 lohmann

#ifndef __CIAO_DEV_STD_SERIAL0_H__
#define __CIAO_DEV_STD_SERIAL0_H__

#include "util/macros.h"

// Implementation is always based on os::krn::Serial0
#define cfCIAO_DEV_STD_SERIAL0_IMPL os::dev::std::Serial0
#define cfCIAO_DEV_STD_SERIAL0_IMPL_HEADER "os/dev/std/Serial0.h"

#ifndef cfCIAO_DECOUPLE
# include cfCIAO_DEV_STD_SERIAL0_IMPL_HEADER
#endif

namespace ciao { namespace dev { namespace std {


class CIAO_CLASS( Serial0,  cfCIAO_DEV_STD_SERIAL0_IMPL ) {
	CIAO_CLASS_BODY( Serial0, cfCIAO_DEV_STD_SERIAL0_IMPL );
  public:

	void putc_( UInt8 );

	UInt8 getc_();
	
};

}}} // namespace ciao::dev::std

#ifdef cfCIAO_INLINE
# include "Serial0.inl"
#endif
 
#endif // __CIAO_DEV_STD_SERIAL0_H__
