/*
 * x86Context.h
 *
 *  Created on: 07.10.2009
 *      Author: bossel00
 */

#ifndef X86CONTEXT_H_
#define X86CONTEXT_H_

namespace hw {
namespace hal {

// x86Context for x86_64
struct x86Context {
	void *rbx;
	void *r12;
	void *r13;
	void *r14;
	void *r15;
	void *rbp;
	void *rsp;

	void clear() {
		rbx = 0;
		r12 = 0;
		r13 = 0;
		r14 = 0;
		r15 = 0;
		rbp = 0;
		rsp = 0;
	}
};

}
}


#endif /* X86CONTEXT_H_ */
