#ifndef HW_HAL_CAN_RX_HW_OBJECT_CONFIG_TYPE_H
#define HW_HAL_CAN_RX_HW_OBJECT_CONFIG_TYPE_H

#include "os/com/ComStack_Types.h"
#include "hw/hal/can/rx/RxLpduIdType.h"

namespace hw { namespace hal { namespace can {

struct RxHwObjectConfigType {
	// These RxLpduReferences_ must be sorted by underlying CanId
	RxLpduIdStorageType const * RxLpduIds_;
	// As the highest possible amount of RxLpduIds we can accept
	// per HwObject is "all" RxLpduId and every RxLpduId only once,
	// we can also use RxLpduIdStorageType as type
	RxLpduIdStorageType RxLpduIdMultiplicity_;
};

}}}

#endif
