#include "RxIpduType.h"
#include "RxIpduGroupType.h"

namespace os { namespace com { namespace ascom {

void
RxIpduGroupType::Start (Bool Initialize) {
	if (Initialize) {
		Init ();
	}
	for (RxIpduIdType ActId = IpduIdMin (); ActId <= IpduIdMax (); ++ActId) {
		RxIpduType::Inst (ActId).Start (Initialize);
	}
}

void
RxIpduGroupType::Stop () {
	for (RxIpduIdType ActId = IpduIdMin (); ActId <= IpduIdMax (); ++ActId) {
		RxIpduType::Inst (ActId).Stop ();
	}
}

RxIpduGroupType RxIpduGroupType::RxIpduGroups_[cfOS_COM_ASCOM_RX_IPDU_GROUP_MULTIPLICITY];

}}}

