#ifndef OS_COM_ASCOM_TX_FILTER_MASKED_NEW_DIFFERS_MASKED_OLD_H
#define OS_COM_ASCOM_TX_FILTER_MASKED_NEW_DIFFERS_MASKED_OLD_H

#include "os/com/ComStack_Types.h"
#include "os/com/ascom/FilterAlgo.h"
#include "os/com/ascom/tx/TxSignalType.h"

namespace os { namespace com { namespace ascom {

namespace txfilter {

template <typename T>
Bool
MaskedNewDiffersMaskedOld(TxSignalType * TxSig, void const * NewValue) {
	return filter::MaskedNewDiffersMaskedOld< T >(*(T const *)NewValue,
				*(T const *)TxSig->OldValue(),
				(T)TxSig->FilterMask());
}

}

}}}

#endif
