#include "os/dev/std/SampleDriver.h"
#include "stdio.h"
#include "hw/hal/CPU.h"


namespace os { namespace dev {

void SampleDriver::nonsynced() {
	printf("SampleDriver: non-synchronized\n\r");
}

void SampleDriver::synced() {
	printf("SampleDriver: synchronized\n\r");
}

void SampleDriver::test() {
	
	printf("entered critical section\n\r");
	
	/*for (int i=0;i<3;i++) {
		printf("generating interrupt\n\r");
		CPU_SRC0.bits.SETR	= 1;
	}*/
	
	printf("cycling\n\r");
	for (int i=0; i++; i<100000)
		printf(".");
	
	printf("leaving critical section\n\r");	
	
	printf("cycling\n\r");
	for (int i=0; i++; i<100000)
		printf(".");
}

/*static SampleDriver &Inst() {
	return theSampleDriver_;
}*/


os::dev::SampleDriver os::dev::SampleDriver::theSampleDriver_;

}} //os::dev
