#ifndef __os_dev_SampleDriver_h__
#define __os_dev_SampleDriver_h__

/**
 * \file SampleDriver.h
 * \brief Simple "driver" for irq synchronization testing purposes
 */


namespace os { namespace dev {

	
class SampleDriver {
public:

	void nonsynced();

	void synced();

	void test();

	static SampleDriver &Inst() {
		return theSampleDriver_;
	}

private:
	static SampleDriver theSampleDriver_;
};


}} // os::dev::
	

#endif // __os_dev_SampleDriver_h__


