#ifndef __os_irq_IMutex_h__
#define __os_irq_IMutex_h__

#include "hw/hal/Continuation.h"

namespace os { namespace irq {

class IMutex {
public:
	IMutex() : waiting_(0), owner_(0) {}
	void enter ();
	void leave ();

private:
	hw::hal::Continuation *waiting_;
	hw::hal::Continuation *owner_;
};

}} //os::irq

#endif //__os_irq_IMutex_h__

