#ifndef __OS_KRN_BOOLLOCKER_H__
#define __OS_KRN_BOOLLOCKER_H__

#include "stdinc.h"

namespace os {
namespace krn {

class BoolLocker {

public:
	//prefix methods with l because of ambiguousity concerning
	//lock/unlock  of interrupt synchronization
	void llock() { locked_=true; }

	void lunlock() { locked_=false; }

	void lset( Bool locked ) { locked_=locked; }

	Bool llocked() { return locked_; }

private:	
	Bool locked_;
};


}} //os::krn

#endif
