#ifndef __QUEUEELEMENT_H__
#define __QUEUEELEMENT_H__

#include "TP_common_definitions.h"
#include "TP_common_deadlinecause.h"
#include "TP_common_data.h"

namespace os { namespace tp {

template <unsigned int> class SortedDeadlineQueue; //forward declaration
 
class QueueElement {  
	friend class SortedDeadlineQueue<cfTP_QUEUELENGTH>;
public: 
	QueueElement() : next(0), prev(0) {}; 
	DeadlineType type;
	UInt32 time;
	DeadlineCause who;
private:
	QueueElement* next;
	QueueElement* prev; //needed for easy removal of elements from the middle of the queue
}; 

}} //namespaces
 
#endif
