#ifndef ASCOM_CFG_H
#define ASCOM_CFG_H

/* temporarily put here */
#include "hw/hal/SystemTimer.h"
#include "hw/dev/STM.h"
static const TickType OSMAXALLOWEDVALUE_SYSTEMCOUNTER = 500000000;
static const TickType OSTICKSPERBASE_SYSTEMCOUNTER = 4711;
static const TickType OSMINCYCLE_SYSTEMCOUNTER = 20000000;
static const TickType OSMAXALLOWEDVALUE = OSMAXALLOWEDVALUE_SYSTEMCOUNTER;
static const TickType OSTICKSPERBASE = OSTICKSPERBASE_SYSTEMCOUNTER;
static const TickType OSMINCYCLE = OSMINCYCLE_SYSTEMCOUNTER;
static const int OSTICKDURATION = 1000000000 / hw::dev::STM::FREQ; // nanoseconds

#define ASCOM_TX_SIGNAL_TEMP 0
#define ASCOM_TX_SIGNAL_TIME 1

#define ASCOM_RX_SIGNAL_TEMP 0
#define ASCOM_RX_SIGNAL_TIME 1

#endif
