#include "appcode.h"
#include "hw/hal/In0.h"
#include "hw/hal/Timer1.h"
#include "hw/irq/DMA_SYSSRC3.h"
#include "hw/irq/STM.h"
#include "as/AS.h"
#include "objects.h"
#include "stdio.h"
#include "os/krn/ISR2Support_Slice2.ah"
#include "os/krn/ISR2Support_Slice3.ah"
#include "os/krn/Resource.h"
#include "os/krn/ResourceSupport_Slice.ah"
#include "os/krn/ResourceSupport.ah"


int App::foo = 0;

void App::functionTaskTask0 (void) {
	int i = 0;

	hw::irq::DMA_SYSSRC3::enable();
	hw::irq::STM_SRC1::enable();

	while (1 > 0){
		i++;
		if ((i % (1024 * 1)) == (256 * 0)){
			asm volatile ("FROMSCHEDULE:");
			AS::ChainTask (Task1);
		}
		if ((i % (1024 * 1)) == (256 * 1)){
			asm volatile ("FROMLOCKRES:");
			AS::GetResource (0);
			asm volatile ("TOLOCKRES:");
		}
		if ((i % (1024 * 1)) == (256 * 2)){
			asm volatile("FROMISR:");
			hw::irq::DMA_SYSSRC3::set();
		}
		if ((i % (1024 * 1)) == (256 * 3)){
			asm volatile ("FROMUNLOCKRES:");
			AS::ReleaseResource (0);
			asm volatile ("TOUNLOCKRES:");
		}
	}
}

void App::functionTaskTask1 (void) {
	asm volatile ("TOSCHEDULE:");
	int i = 0;

	while (1 > 0){
		i++;
		if ((i % (1024 * 1)) == (256 * 0)){
			AS::ChainTask (Task0);
		}
		if ((i % (1024 * 1)) == (256 * 1)){
			asm volatile ("FROMLOCKISR:");
			AS::DisableInterruptSource (0);
			asm volatile ("TOLOCKISR:");
		}
		if ((i % (1024 * 1)) == (256 * 2)){
			asm volatile ("FROMUNLOCKISR:");
			AS::EnableInterruptSource (0);
			asm volatile ("TOUNLOCKISR:");
		}
                if (foo == 1024 * 4){
                        //stop program with endless loop
                        for (volatile int stop = 1; stop > 0; stop = 1)
                                ;
                }
	}
}


void App::functionISRButton1ISR (void) {
	asm volatile ("TOISR:");

        for (volatile int i = 0; i < 1024*8; i++){ 
	}
        foo++;
}

