#ifndef OS_DEV_STD_SERIAL0_H
#define OS_DEV_STD_SERIAL0_H

#include <stdio.h>
#include "hw/hal/Serial0.h"

namespace os {
namespace dev {
namespace std {
	
class Serial0 : public hw::hal::Serial0 {
	static Serial0 theSerial0_;	

protected:
	Serial0() {}

public:
	static Serial0& Inst() {
		return theSerial0_; 
	}


	typedef hw::hal::Serial0 Super;

//	using Super::send; <<<---- does not work due to ac++ bug 274
	bool send( char ch );

	bool send( const char* buf );
	

};

}}}	// namespace os::dev::std

#ifdef cfOS_INLINE
	#include "Serial0.inl"
#endif


#endif // OS_DEV_STD_SERIAL0_H
