$apps={
	isr =>[
	"NetworkISR",
	"RadioISR",
	"SPIInterrupt",
	"SPIErrorInterrupt"
	],
	task =>[
	"CopterControlTask", "CopterControlTelemetryTask",
	"FlightControlTask", "FlightControlTelemetryTask",
	"SignalProcessingTask", "SignalProcessingTelemetryTask",
	"NavigationTask", "NavigationTelemetryTask",
	"EthernetTask",
	"InitTask",
	"IPStackTask",
	"SPIComTask",
	"restartDMATask",
	],
	component=>[
	"CopterControlComponent",
	"EthernetComponent",
	"FlightControlComponent",
	"InitTaskComponent",
	"SignalProcessingComponent",
	"SPIComComponent",
	"IPStackComponent",
	"NavigationComponent"
	],
	msgPort=>[
	"EthernetTaskIPStack", "IPStackEthernetTask",       # EthernetTask <-> IPStack
	"EthernetCopterControl",       # EthernetTask -> CopterControl
	"ADXL345SPICom", "SPIComADXL345",         # ADXL345
	"MK3MagSPICom", "SPIComMK3Mag",         # MK3Mag
	"BLCtrlMasterSPICom", "SPIComBLCtrlMaster",         # BLCtrlMaster
	"EnginePowerSwitchSPICom", "SPIComEnginePowerSwitch",         # EnginePowerSwitch
	"TLV5618SPICom", "SPIComTLV5618",         # TLV5618
	"CopterControlTelemetryEthernet", # CopterControlTelemetry
	"FlightControlTelemetryEthernet", # FlightControlTelemetry
	"SignalProcessingTelemetryEthernet", # SignalProcessingTelemetry
	"NavigationTelemetryEthernet", # NavigationTelemetry
	],
	netPort =>[
	"EthernetPort"
	] ,
	osapplication=>[
	"CopterControlApp",
	"EthernetApp",
	"FlightControlApp",
	"InitTaskApp",
	"SignalProcessingApp",
	"SPIComApp",
	"IPStackApp",
	"NavigationApp",
	] ,
	appmode=>[
	"myAppMode"
	] ,
	event =>[
	"NetworkHardwareEvent",
	"PacketWaitingEvent",
	"SPIEvent",
	"SPIErrorEvent",
	"Get_Telemetry",
	] ,
	alarm =>[
	"wakeCopterControl",
	"wakeCopterControlTelemetry",
	"wakeFlightControl",
	"wakeSignalProcessing",
	"restartDMA"
	],
	counter =>[
	"sysCounter",
	],
	sharedmemory => [
	"Default_CopterControl_basicFlightCtrlData_t",
	"Default_CopterControl_steeringStatusData_t",
	"CopterControl_flightControlApplicationModes_t",
	"Default_Ethernet_ethRemoteCtrlData_t",
	"FlightControlImpl_template_int_ID_specialisation_1_controllerData_t_enc_1",
	"Default_FlightControl_recoveryData_t",
	"FlightControl_timestamp_t",
	"FlightControl_flightControlApplicationModes_t",
	"Default_SignalProcessing_basicSensorData_t",
	"Default_SignalProcessing_sensorData_t",
	"SignalProcessing_flightControlApplicationModes_t",
	"Default_BLCtrlMaster_rpmData_t",
	"Default_IdleTask_CPUUtilization",
	]
}

