#ifndef TIMING_H_
#define TIMING_H_

#define HOLD_DURATION 950
#define RELEASE_TIME 86
#define UP_BRAKE_TIME 18
//#define UP_BRAKE_TIME 25
//#define DOWN_RELEASE_TIME 3
#define DOWN_RELEASE_TIME 4
#define STOP_HOLD_TIME 300
#define MAX_HOLD_TIME 3900
//#define DELAY_TO_BRAKE 9
//#define BRAKE_DURATION 16
#define DELAY_TO_BRAKE 9
#define BRAKE_DURATION 14

/*
#define BIAS 1000 / 800

#define HOLD_DURATION 950 * BIAS
#define RELEASE_TIME 98 * BIAS
#define UP_BRAKE_TIME 25 * BIAS
#define DOWN_RELEASE_TIME 4 * BIAS
#define STOP_HOLD_TIME 300 * BIAS
#define MAX_HOLD_TIME 3900 * BIAS
#define DELAY_TO_BRAKE 9 * BIAS
#define BRAKE_DURATION 16 * BIAS
*/

/*
Original

#define HOLD_DURATION 950
#define RELEASE_TIME 98
#define UP_BRAKE_TIME 25
#define DOWN_RELEASE_TIME 4
#define STOP_HOLD_TIME 300
#define MAX_HOLD_TIME 3900

 // When going down the coil needs to be slowed down
 // With DELAY_TO_BRAKE we can adjust the time that has to be waited from the point 
 //  of leaving the photosensor until the respective coil will be enabled
#define DELAY_TO_BRAKE 9

//! This is the duration of the brake that has been delayed by DELAY_TO_BRAKE
#define BRAKE_DURATION 16
*/

#endif /*TIMING_H_*/
