my $APPNAME = $ENV{'PWD'};
$APPNAME =~ s/^.*\///;

$VAR=	{
	'vname' => $APPNAME,
	'name' => "app_$APPNAME",
	'dir'  => "app/$APPNAME",
	'comp' => [

	# The C parts of the application source files.
	# You should adopt this to match your actual application
	# KESO parts are directly created into the variant directory
	# and need not be specified here
	{
		vname => "application C code",
		files => [
			'*.c',
			'*.cc',
			'*.cpp',
			'*.h',
			'*.hpp',
			'*.ah',
		],
	},

	# common files
	{
		'vname' => 'Common Files',
		'files' => [
			"$APPNAME.config",
			'run.cmm',
		],
	},

	# Makefile for compiling the variant
	{
		'srcfile' => 'Makefile.app',
		'file' => 'Makefile',
	},

	# uses the config.xml file provided by KESO
	{
		vname => "config.xml",
		'create_symlink' => [ "Keso_$APPNAME/config.xml", 'config.xml' ],
	},
	],
};
