#
# MODULE: architecture
#
# define all available architectures


# all available architectures

ARCHITECTURES:= i386 h8300 avr tc

# helper target, which allows to run a particular target for all 
# available architectures
arch_%:
	@for arch in $(ARCHITECTURES);do \
		make -s ARCH=$$arch $(@:arch_%=%); \
	 done;

# here pure::variants overrides the actually selected architecture
# ARCH := <selected architecture in pure::variants>

