#ifndef __COMPONENTHEADER_H__
#define __COMPONENTHEADER_H__

#define CIAO_COMPONENT(name) \
class name {\
public:\
	static name &Inst() {\
		return inst_;\
	}\
private:\
	static name inst_;

#define TASKDECL(TaskID)\
public:\
	static void functionTask##TaskID (void)

#define TASKDEF(component,TaskID)\
	void component::functionTask##TaskID (void)

/* Don't use these; AspectC++ won't be able to weave in the
 * entry functions otherwise.
#define ISRDECL(ISRID)\
public:\
	static void functionISR##ISRID (void)

#define ISRDEF(component,ISRID)\
	void component::functionISR##ISRID (void)
*/

#endif // __COMPONENTHEADER_H__
