// $Id: Sched.inl 291 2006-08-19 05:19:56Z lohmann $
// Created:   27.06.2006 lohmann

#include cfCIAO_KRN_SCHED_IMPL_HEADER

#ifdef cfCIAO_INLINE // methods shall be declared as inline
# define _INLINE inline // only if ciao-layer itself is inlined
#else
# define _INLINE
#endif

namespace ciao { namespace krn {

CIAO_CLASS_DEF( Sched, cfCIAO_KRN_SCHED_IMPL );

_INLINE void Sched::activate( Id whom ) {
	impl()->activate( whom );
}

_INLINE void Sched::block() {
	impl()->block();
}

_INLINE void Sched::awake( Id whom ) {
	impl()->awake( whom );
}

_INLINE void Sched::exit() {
	impl()->exit();
}

_INLINE void Sched::reschedule() {
	impl()->reschedule();
}

_INLINE Sched::Id Sched::getRunning() const {
	return impl()->getRunning();
}


}} // namespace ciao::krn
