#include "hw/init.h"
#include "hw/hal/init.h"
#include "os/init.h"

// a call to __main() will be made before execution of main()
extern "C" void __main() {

	// hardware initialisation hw::init()
	hw::init();
	
	// hw::hal::init() comes next
	hw::hal::init();

	// TODO: it may be necessary to bring the kernel up before initializing drivers
	// (could also be done by order advice)
	os::init();
}

