/*
 * x86Context.h
 *
 *  Created on: 07.10.2009
 *      Author: bossel00
 */

#ifndef X86CONTEXT_H_
#define X86CONTEXT_H_

namespace hw {
namespace hal {

struct x86Context {
	void *ebx;
	void *esi;
	void *edi;
	void *ebp;
	void *esp;

	void clear() {
		ebx = 0;
		esi = 0;
		edi = 0;
		ebp = 0;
		esp = 0;
	}
};

}
}


#endif /* X86CONTEXT_H_ */
