#ifndef OS_COM_ASCOM_RX_FILTER_MASKED_NEW_DIFFERS_MASKED_OLD_H
#define OS_COM_ASCOM_RX_FILTER_MASKED_NEW_DIFFERS_MASKED_OLD_H

#include "os/com/ComStack_Types.h"
#include "os/com/ascom/FilterAlgo.h"
#include "os/com/ascom/rx/RxSignalType.h"

namespace os { namespace com { namespace ascom {

namespace rxfilter {
/*
	static Bool
	MaskedNewDiffersMaskedOld_Opaque(RxSignalRype const * RxSig) {
		return filter::MaskedNewDiffersMaskedOld((UInt8 const *)RxSig->NewValue(),
																						 (UInt8 const *)RxSig->OldValue(),
																						 (UInt8 const *)RxSig->FilterMask(),
																						 RxSig->Length());
	}
*/

	template <typename T>
	Bool
	MaskedNewDiffersMaskedOld(RxSignalType * RxSig, void const * NewValue) {
		return filter::MaskedNewDiffersMaskedOld< T >(*(T const *)NewValue,
													*(T const *)RxSig->OldValue(),
													(T)RxSig->FilterMask());
	}

}

}}}

#endif
