#include "Serial0.h"

/*#ifndef cfOS_INLINE
	#include "Serial0.inl"
#endif*/


namespace os {
namespace dev {
namespace std {

void Serial0::putc_( UInt8 ch) {
	IRQ_TBUF::enable();
	writers.p();
	Super::send( ch );
}

UInt8 Serial0::getc_() {
	IRQ_REC::enable();
	readers.p();
	return Super::receive();
}

void Serial0::init() {
	writers.init(true);
	readers.init(true);
	VIRQ_TBUF::Inst().init();
	VIRQ_REC::Inst().init();
}

//#undef _INLINE
	
// the one-and-only instance
Serial0 Serial0::theSerial0_;
Serial0::VIRQ_REC Serial0::VIRQ_REC::instance_;	
Serial0::VIRQ_TBUF Serial0::VIRQ_TBUF::instance_;	

}}}
