#ifndef __NeverFree_h__
#define __NeverFree_h__

#include "util/types.h"
#include "mem/MemPoolBase.h"

class NeverFree{

public:
	
private:

	UInt8* _curpos;
	UInt8* _endpos;
	
public:
	
	NeverFree(MemPoolBase& mempool):_curpos(static_cast<UInt8*>(mempool.addr())){
		_endpos=_curpos+mempool.size();
	}
	
	const Ptr get2(UIntPtr& size){
		Ptr ret;
		if ((ret=get(size)) == 0){
			size=0;
		}
		return ret;
	}
	
	const Ptr get(UIntPtr size){
		UInt8* ret = _curpos;
		
		if( _curpos+size > _endpos ){
			return 0;
		}
		_curpos+=size;
		return (Ptr) ret;
	}
	
	void put(Ptr addr){}
	

};

#endif //__NeverFree_h__
