#include <tut.h>
#include "util/container/SizeArray.h"

#include<iostream>
using namespace std;

namespace tut
{
  
  // Data used by each test
  struct sizearray_basic
  { 

  	struct pair{
		int first;
		int second;
		pair(pair& p):first(p.first),second(p.second){}
		pair():first(1),second(2){}
		pair& operator=(int i){first=i;return *this;}
		operator int() const{return first;}
		bool operator==(const int i){return first == i;}
		bool operator!=(const int i){return first != i;}
	};
  	
  	typedef pair value_t;
  	enum{SIZE=4};
	typedef SizeArray<value_t,SIZE> CustomContainer;
    CustomContainer cont;
  };

  // Test group registration
  typedef test_group<sizearray_basic> factory;
  typedef factory::object object;
}

namespace
{
  tut::factory tf("sizearray basic operations");
}

namespace tut
{
  /**
   * Checks push_front operation
   */
  
 /**
   * Checks size and capacity
   */
  template<>
  template<>
  void object::test<1>()
  {
    ensure("capacity of container",cont.capacity() == SIZE);
    ensure("size of container is 0",cont.size() == 0);
  }
  
// /**
//   * Checks index '[]' operation and ensure that elements are not
//   * initialized
//   */
//  template<>
//  template<>
//  void object::test<2>()
//  {
//   ensure("cont[1] != 1",cont[1] != 1); 
//  }
//  
//  /**
//   *  Check Standard Iterator Ops
//   */
//  template<>
//  template<>
//  void object::test<3>()
//  {
//    CustomContainer::iterator iter(cont.begin());
//	++iter;
//	ensure("increment iterator",iter == &(cont[1]));
//	ensure("index operator",&(iter[2]) == &(cont[3]));
//	while(iter != cont.end()){
//		++iter;
//	}
//	--iter;
//	ensure("decrement iterator",iter == &(cont[SIZE-1]));
//	cont[3]=3;
//	ensure("dereference iterator",(*iter) == 3);
//	
//  }
//   /**
//   *  Check Copy Constructor
//   */
//  template<>
//  template<>
//  void object::test<4>()
//  {
//    for(int i=0;i<SIZE;i++){
//    	cont[i]=i;
//    }
//	CustomContainer cont2(cont);
//	for(int i=0;i<SIZE;i++){
//    	ensure("values copied",cont2[i]== i);
//    }
//  }
 
}
